# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'unp_smart/version'

Gem::Specification.new do |spec|
  spec.name          = "unp_smart"
  spec.version       = UnpSmart::VERSION
  spec.authors       = ["Martin Xu"]
  spec.email         = ["martin.xus@gmail.com"]
  spec.summary       = %q{SDK for Ruby}
  spec.description   = %q{UnionpaySmart SDK for Ruby}
  spec.homepage      = "https://github.com/unpsmart/ruby-sdk"
  spec.license       = "MIT"
  spec.post_install_message = <<__EOF__
  ----------------------------
  Run the following command,if you want to run unpsmart script
  
    curl https://raw.githubusercontent.com/unpsmart/ruby-sdk/master/config/unp_smart.yml > ~/.unp_smart.yml
  
  and config yourself account!
  
  Enjoy!
  
  Martin Xu
  ----------------------------
  
__EOF__

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = ['unpsmart']#spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.6"
  spec.add_development_dependency "rspec", '~> 3.1'
  spec.add_development_dependency "rake", '~> 10.4'
  
  spec.add_runtime_dependency "rest-client", '~> 1.7'
  spec.add_runtime_dependency "activesupport", '~> 4.1'
end
