require 'spec_helper'

class UnpSmartSpec
  describe UnpSmart do
    it "should load config first" do     
      config = UnpSmart.config 
      expect(config).not_to be_nil
      expect(config['account']).to eq('000000')
    end
    
    it "should invoke api" do
      result = UnpSmart.get '/merchant/queryName',{mName: '巴黎春天'}
      expect(result['resCode']).to eq('0000')
      expect(result['data']).to be_a_kind_of(Array)
      expect(result['data']).to include('巴黎春天')
    end
  end
end